Tarantool development patches archive
 help / color / mirror / Atom feed
From: Leonid Vasiliev <lvasiliev@tarantool.org>
To: alexander.turenko@tarantool.org
Cc: tarantool-patches@dev.tarantool.org
Subject: [Tarantool-patches] [PATCH] Fix queue test preparing
Date: Fri,  6 Dec 2019 20:36:06 +0300	[thread overview]
Message-ID: <9b39fc1af6ec310ce9de99201791410fbbc00e06.1575653203.git.lvasiliev@tarantool.org> (raw)

Add redirect procesing and check of a commands exit code.

---
 test.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/test.sh b/test.sh
index 3fca125..32f7567 100755
--- a/test.sh
+++ b/test.sh
@@ -1,15 +1,17 @@
 #!/bin/bash
 
+set -euo pipefail
+
 VERSION=${VERSION:-2_2}
 
-curl https://packagecloud.io/tarantool/${VERSION}/gpgkey | sudo apt-key add -
+curl -sfL https://packagecloud.io/tarantool/${VERSION}/gpgkey | sudo apt-key add -
 release=`lsb_release -c -s`
 
 sudo apt-get install -y apt-transport-https
 
 sudo tee /etc/apt/sources.list.d/tarantool_${VERSION}.list <<- EOF
-deb https://packagecloud.io/tarantool/${VERSION}/ubuntu/ $release main
-deb-src https://packagecloud.io/tarantool/${VERSION}/ubuntu/ $release main
+deb https://packagecloud.io/tarantool/${VERSION}/ubuntu/ ${release} main
+deb-src https://packagecloud.io/tarantool/${VERSION}/ubuntu/ ${release} main
 EOF
 
 sudo apt-get update > /dev/null
-- 
2.17.1

             reply	other threads:[~2019-12-06 17:36 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-12-06 17:36 Leonid Vasiliev [this message]
2019-12-06 19:18 ` Leonid Vasiliev
2019-12-18  2:02   ` Alexander Turenko

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=9b39fc1af6ec310ce9de99201791410fbbc00e06.1575653203.git.lvasiliev@tarantool.org \
    --to=lvasiliev@tarantool.org \
    --cc=alexander.turenko@tarantool.org \
    --cc=tarantool-patches@dev.tarantool.org \
    --subject='Re: [Tarantool-patches] [PATCH] Fix queue test preparing' \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox